#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF5,0x17,0xDA,0x0E,0xBC,0x57,0x50,0xD0,0x47,0xC8,0xC2,0xCB,
		0xAF,0xBD,0xBF,0xD3,0xFB,0xDC,0x03,0x57,0x90,0x55,0x82,0xD5,
		0xE0,0x41,0x98,0x11,0xFA,0x92,0xB8,0xCA,0xA4,0x19,0xE8,0x3C,
		0x60,0xDF,0xFD,0x77,0x91,0x5D,0xD0,0x05,0xFD,0xE6,0xD8,0xE7,
		0xAD,0xB5,0xFA,0xA5,0x47,0xE9,0xE0,0xF6,0x95,0xBD,0x61,0xFD,
		0xBF,0x86,0xEF,0x23,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
